Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Archive /

Our old forums are still available as a read-only archive.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo

newbie: WYSIWYG Editor Not Working Properly


Go to End


6 Posts   2703 Views

Avatar
cindycin

Community Member, 20 Posts

15 August 2008 at 4:34am

The HTML editor doesn't seem to be working correctly. The only elements that work are in the dropdown menu that formats the text as either a paragraph, header [1-6], etc.

When I try to bold the text or italicize it... the change shows up in the CMS area but not on the live/published site. Same with text alignment options, adding links, etc.

Does anyone know how to fix this? Where do I begin?

Avatar
Liam

Community Member, 470 Posts

15 August 2008 at 12:10pm

When you view the source page of the saved, live content, are the proper tags being wrapped around the text? i.e <strong> tag and such?

Avatar
cindycin

Community Member, 20 Posts

15 August 2008 at 4:42pm

No. When I try to bold the text it keeps wrapping the following span tag...
<span class="Apple-style-span">

When I try to center the text there are no code changes to the HTML

Avatar
cindycin

Community Member, 20 Posts

16 August 2008 at 9:19am

The bold, italic, underline, text-align left, center, right do not work.

Avatar
cindycin

Community Member, 20 Posts

16 August 2008 at 1:12pm

o.k. with some testing I find that the WYSIWYG Editor does not work in the Safari browser. Is this a known bug? is there a fix for it?

Avatar
bummzack

Community Member, 904 Posts

16 August 2008 at 9:35pm

According to the TinyMCE Site, Safari 3 is fully supported in TinyMCE Version 3.0 (http://wiki.moxiecode.com/index.php/TinyMCE:Compatiblity). SilverStripe uses Version 2 and i don't know if there are any upgrade plans for the near future.
I'd simply use Firefox for the time being.